<?php
class ICALPlugin extends MantisPlugin {
 
	function register() {
		$this->name        = 'ICAL';
		$this->description = 'Adds Option to copy Issue to Calendar and/or ToDo list.';
		$this->version     = '0.92';
		$this->requires    = array('MantisCore'       => '1.2.0',);
		$this->author      = 'Cas Nuy';
		$this->contact     = 'Cas-at-nuy.info';
		$this->url         = 'http://www.nuy.info';
		$this->page			= 'config';
	}
 
 	/**
	 * Default plugin configuration.
	 */
	function config() {
		return array(
			'copy_cal'		=> ON,
			'copy_todo'		=> OFF,
			);
	}

	function init() { 
		plugin_event_hook( 'EVENT_MENU_ISSUE', 'icalmenu' );
	}
	
 	function icalmenu() {
		$bugid =  gpc_get_int( 'bug_id' );
		$t_bug_p = bug_prepare_display( bug_get( $bugid, true ) );

		$export_cal_page  = 'bug_ical_event.php';
		$export_cal_page .= '&bug_id=';
		$export_cal_page .= $bugid ;
		$export_cal_page .= '&summary=';
		$export_cal_page .= bug_format_summary( $bugid, SUMMARY_CAPTION );
		$export_cal_page .= '&rem=';
		$export_cal_page .= htmlspecialchars($t_bug_p->description);
			
		$export_todo_page  = 'bug_ical_todo.php';
		$export_todo_page .= '&bug_id=';
		$export_todo_page .= $bugid ;
		$export_todo_page .= '&summary=';
		$export_todo_page .= bug_format_summary( $bugid, SUMMARY_CAPTION );
		$export_todo_page .= '&rem=';
		$export_todo_page .= htmlspecialchars($t_bug_p->description);

		if (ON == plugin_config_get('copy_todo') and ON == plugin_config_get('copy_cal') ){
			return array( lang_get( 'export_cal' )=>plugin_page( $export_cal_page ),lang_get( 'export_todo' )=>plugin_page( $export_todo_page ));	
		}
		
		if (ON == plugin_config_get('copy_cal') ){
			return array( lang_get( 'export_cal' )=>plugin_page( $export_cal_page )  ); 
		}
		if (ON == plugin_config_get('copy_todo') ){
			return array( lang_get( 'export_todo' )=>plugin_page( $export_todo_page )  ); 
		}
    }
 }